Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISun.SearchBuffer

    java.lang.Object
      igeo.ISun.SearchBuffer

Enclosing class:
  ISun

    public static class ISun.SearchBuffer

extends java.lang.Object

Field Summary
`double[]` | `altitudes`
`double[]` | `azimuths`
`(package private) int` | `day`
`(package private) boolean` | `daylightSavingTime`
`(package private) int` | `month`
`int` | `sampleNumber` sample number per a day
`ISun` | `sun`
`(package private) int` | `year`

Constructor Summary
`ISun.SearchBuffer(ISun sun, int year, int month, int day, boolean daylightSavingTime)`
`ISun.SearchBuffer(ISun sun, int year, int month, int day, boolean daylightSavingTime, int sampleNumber)`

Method Summary
`double` | `altitude(int i)`
`double` | `azimuth(int i)`
`void` | `calc()`
`double` | `hourAt(double azimuth)` search date (hour) when azimuth is specified
`double` | `hourAt(IVec azimuthDir, IVec northDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### altitudes

    public double[] altitudes

### azimuths

    public double[] azimuths

### year

    int year

### month

    int month

### day

    int day

### daylightSavingTime

    boolean daylightSavingTime

### sampleNumber

    public int sampleNumber

  sample number per a day

### sun

    public ISun sun

Constructor Detail

### ISun.SearchBuffer

    public ISun.SearchBuffer(ISun sun,
                             int year,
                             int month,
                             int day,
                             boolean daylightSavingTime,
                             int sampleNumber)

### ISun.SearchBuffer

    public ISun.SearchBuffer(ISun sun,
                             int year,
                             int month,
                             int day,
                             boolean daylightSavingTime)

Method Detail

### azimuth

    public double azimuth(int i)

### altitude

    public double altitude(int i)

### hourAt

    public double hourAt(double azimuth)

  search date (hour) when azimuth is specified

### hourAt

    public double hourAt(IVec azimuthDir,
                         IVec northDir)

### calc

    public void calc()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD